---
id: location
title: Location
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type Location {
  _hash_id: ID
  addrLine: String
  country: String
  postBox: String
  postCode: String
  region: String
  settlement: String
  affiliations(
    first: Int = 0
    offset: Int = 0
    orderBy: [_AffiliationOrdering] = []
    filter: _AffiliationFilter
  ): [Affiliation]
  _id: String
}
```

### Fields

#### `_hash_id` ([`ID`](/docs/api/scalars/id))

#### `addrLine` ([`String`](/docs/api/scalars/string))

#### `country` ([`String`](/docs/api/scalars/string))

#### `postBox` ([`String`](/docs/api/scalars/string))

#### `postCode` ([`String`](/docs/api/scalars/string))

#### `region` ([`String`](/docs/api/scalars/string))

#### `settlement` ([`String`](/docs/api/scalars/string))

#### `affiliations` ([`[Affiliation]`](/docs/api/objects/affiliation))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_AffiliationOrdering]`](/docs/api/enums/affiliation-ordering))

- ##### `filter` ([`_AffiliationFilter`](/docs/api/inputs/affiliation-filter))

#### `_id` ([`String`](/docs/api/scalars/string))

Generated field for querying the Neo4j [system id](https://neo4j.com/docs/cypher-manual/current/functions/scalar/#functions-id) of this node.
